| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkExport::TreeReaderCompositeEntry< C, T > Class Template Reference

A templated version of a composite entry, aimed at filling containers. More...

Inheritance diagram for nkExport::TreeReaderCompositeEntry< C, T >:

## Public Member Functions
| TreeReaderCompositeEntry (C< T > &target, std::function< T(nkExport::Node *)> entryFiller, nkMemory::StringView path)
virtual | ~TreeReaderCompositeEntry ()=default
virtual void | fill (nkExport::Node *node) override
Public Member Functions inherited from nkExport::TreeReaderEntry
| TreeReaderEntry (nkMemory::StringView path) noexcept
| TreeReaderEntry (const TreeReaderEntry &) noexcept
| TreeReaderEntry (TreeReaderEntry &&) noexcept
virtual | ~TreeReaderEntry ()
nkMemory::StringView | getPath () const
TreeReaderEntry & | operator= (const TreeReaderEntry &) noexcept
TreeReaderEntry & | operator= (TreeReaderEntry &&) noexcept

## Detailed Description

### template<template< typename... > typename C, typename T>
class nkExport::TreeReaderCompositeEntry< C, T >

A templated version of a composite entry, aimed at filling containers.

## Constructor & Destructor Documentation

## ◆ TreeReaderCompositeEntry()

template<template< typename... > typename C, typename T >

nkExport::TreeReaderCompositeEntry< C, T >::TreeReaderCompositeEntry | ( | C< T > & | target,
|  | std::function< T(nkExport::Node *)> | entryFiller,
|  | nkMemory::StringView | path
| ) |  |

Constructor.

Parameters

  target | The target container to fill.
  entryFiller | The callback filling one entry of the container, called for each entry to fill.
  path | The path within the tree of the note to update from.

## ◆ ~TreeReaderCompositeEntry()

template<template< typename... > typename C, typename T >

virtual nkExport::TreeReaderCompositeEntry< C, T >::~TreeReaderCompositeEntry | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ fill()

template<template< typename... > typename C, typename T >

virtual void nkExport::TreeReaderCompositeEntry< C, T >::fill | ( | nkExport::Node * |  | ) |
| inline override virtual

Fills the target from the node provided, using the target path.

Implements nkExport::TreeReaderEntry.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsExport/Tree/Utils/TreeReader.h